
Smart Proxy - Bug #10265

Smart-Proxy Template error for built complete

04/24/2015 08:25 AM - Darcy Hodgson

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When enabling the smart proxy template module and trying to perform the "/unattended/built" call the smart proxy returns a 500 error.

Here is the smart proxy listing is features and the error.

[root@sp1 foreman-proxy]# curl --insecure -XGET https://sp1.lab.local:8443/features

["dhcp","dns","templates","tftp"]

[root@sp1 foreman-proxy]# curl --insecure -XGET http://sp1.lab.local:8000/features

["dhcp","dns","templates","tftp"]

Failed to retrieve built tcurl --insecure -XGET http://sp1.lab.local:8000/unattended/built

Failed to retrieve built template for : undefined method `encoding' for nil:NilClass

[root@sp1 foreman-proxy]# curl --insecure -XGET https://sp1.lab.local:8443/unattended/built

Failed to retrieve built template for : undefined method `encoding' for nil:NilClass

proxy.log

E, [2015-04-24T08:17:30.814463 #10325] ERROR -- : Failed to retrieve built template for : undefined method `encoding' for

nil:NilClass

172.16.17.42 - - [24/Apr/2015 08:17:30] "GET /unattended/built HTTP/1.1" 500 84 0.0021

E, [2015-04-24T08:17:56.931295 #10325] ERROR -- : Failed to retrieve built template for : undefined method `encoding' for

nil:NilClass

172.16.17.42 - - [24/Apr/2015 08:17:56] "GET /unattended/built HTTP/1.1" 500 84 0.0012

Nothing related to this appears in the production.log

Foreman proxy build 1.8 RC3 - foreman-proxy-1.8.0-0.1.RC3.el7.noarch

Built on CentOS 7.1

Related issues:

Is duplicate of Smart Proxy - Bug #10256: GET on SmartProxy 'unattended/built... Resolved 04/23/2015

History

#1 - 04/24/2015 08:30 AM - Dominic Cleal

- Is duplicate of Bug #10256: GET on SmartProxy 'unattended/built' throwing error 500  added

#2 - 04/24/2015 08:32 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report and extra data - we're tracking this under ticket #10256 for 1.8.

#3 - 04/24/2015 08:33 AM - Dominic Cleal

Oh, I forgot to add - if you're able to set the log_level to DEBUG in the smart proxy's configuration file and re-test, it'd be much appreciated.  It should

then log a stack trace - see the linked ticket.

#4 - 04/24/2015 08:40 AM - Anonymous

05/18/2024 1/2

https://projects.theforeman.org/issues/10256


Might be useful to get log from the foreman side too.
